Error in editor - by logonsoftware - on WordPress WooCommerce support

This topic has 5 replies, 3 voices, and was last updated 5 years, 3 months ago ago by Olga Barlow

  • Avatar: logonsoftware
    logonsoftware
    Participant
    February 26, 2019 at 09:19

    Hello,

    I am getting error in theme editor while updating any thing overthere. I contact to the host provider for this and they tell me that your template is not compatible with PHP7 version. So need to contact you guys to fix this issue.

    I am sending you required details along with this message and please make sure any changes would not effect the site functionality.

    Looking forward to your reply.

    Thanks!

    Please, contact administrator
    for this information.
    4 Answers
    Avatar: Rose Tyler
    Rose Tyler
    Support staff
    February 26, 2019 at 09:35

    Hello,

    We tested Royal theme with PHP 7.2 and did not find issues.
    What exact version of PHP do you use?
    I’ve created a “test page” on your site and it can be edited without any problems.
    Also, I’ve disabled Gutenberg Editor http://prntscr.com/mq82y9 because WPBakery page builder is more advanced at this moment.
    Please describe what exactly should be done on your site to recreate the problem.
    Try to disable 3rd party plugins and check if one of plugins causes the problem. We are theme support and are able to help with problems strictly related to our theme only.

    Regards

    Avatar: logonsoftware
    logonsoftware
    Participant
    February 26, 2019 at 13:07

    Below message is sent by hosting provider and suggested me to check with the theme author, please have a look over his message and acknowledge me the same.

    (Dear Customer,
    Your template is not compatible with PHP7 environment (your website run in PHP5 previously, but PHP5 is already end of life, that’s why you have to move to PHP7 environment)

    Error:
    [26-Feb-2019 06:43:09 UTC] PHP Fatal error: Uncaught ArgumentCountError: Too few arguments to function Select_Page_metaBox::royal_save_select_pages_meta_box(), 1 passed in /home/logonint/public_html/logon/wp-includes/class-wp-hook.php on line 288 and exactly 2 expected in /home/logonint/public_html/logon/wp-content/themes/royal-child/inc/select-page-meta.php:38

    We tuned line 38
    public function royal_save_select_pages_meta_box($post_id) {
    to
    //public function royal_save_select_pages_meta_box($post_id) {
    public function royal_save_select_pages_meta_box($post_id, $post = null) {
    on the file
    /home/logonint/public_html/logon/wp-content/themes/royal-child/inc/select-page-meta.php

    And the save action looks fine now.

    However, such modification may cause other unknown issues (we are not expert of your theme).

    Please seek advice from your theme author, to get a proper fix of the issue.)

    Thanks!

    Avatar: logonsoftware
    logonsoftware
    Participant
    February 26, 2019 at 13:09

    and have already disabled all the plugins and checked after that so plugins are not creating problem I guess…

    Avatar: Olga Barlow
    Olga Barlow
    Support staff
    February 26, 2019 at 13:14

    Hello,

    If you check the path to your file you’ll see that file is located in child theme royal-child/inc/select-page-meta.php Contact developer who made this customization to you. Sorry, but we don’t have this file in royal theme source files and we are not responsible for users’ customization in the child theme.

    Regards

  • Viewing 5 results - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.Log in/Sign up

We're using our own and third-party cookies to improve your experience and our website. Keep on browsing to accept our cookie policy.